$( document ).ready(function() {
	$('.article_buy input[type="submit"]').on('click touch', function(event) {
		var button = $(this);
		var productImage = $(this).closest('.article_wrapper').find('.article_image img.image');
		var productX = productImage.offset().left;
		var productY = productImage.offset().top;
		 
		var basket = $("li.basket");
		var basketX = basket.offset().left;
		var basketY = basket.offset().top;
		 
		var gotoX = basketX - productX;
		var gotoY = basketY - productY;		
		 
		var newImageWidth = productImage.width() / 3;
		var newImageHeight = productImage.height() / 3;
	
		$(productImage)
			.clone()
			.prependTo("body")
			.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999'})
			.animate({opacity: 0.9}, 100 )
			.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
							 height: newImageHeight}, 1200, function() {
				$(this).remove();
				button.removeAttr('disabled');
				basket.addClass('inCart')
				setTimeout(function() {
					basket.removeClass('inCart')
				}, 500);
			});
	
		if ($('body.noCartPopUp').length) {
			$('body').bind('DOMNodeInserted', '#article_popups', function() {
					$('#simplemodal-container').remove();
					$('#simplemodal-overlay').remove();
					//console.log('#article_popup');
					return false;
			});
		}
			
	});

	
	$("#article_buyfield .choose_quantity button[type='submit']").click(function(event) {
		event.preventDefault();
		var productImage = $(this).closest('#buy_form').find('#image_wrapper > .image img#image0');
		var productX = productImage.offset().left;
		var productY = productImage.offset().top;
		 
		var basket = $("li.basket");
		var basketX = basket.offset().left;
		var basketY = basket.offset().top;
		 
		var gotoX = basketX - productX;
		var gotoY = basketY - productY;
		
		 
		var newImageWidth = productImage.width() / 3;
		var newImageHeight = productImage.height() / 3;
	
		$(productImage)
			.clone()
			.prependTo("body")
			.css({'position' : 'absolute', 'left': productX , 'top' : productY , 'z-index' : '9999'})
			.animate({opacity: 0.9}, 100 )
			.animate({opacity: 0.6, marginLeft: gotoX, marginTop: gotoY, width: newImageWidth,
							 height: newImageHeight}, 1200, function() {
				$(this).remove();
				basket.addClass('inCart')
				setTimeout(function() {
					basket.removeClass('inCart')
				}, 500);
				$('#buy_form').submit();
				return false;
			});
	});
	
	
});